CancelRunBatch - HealthOmics API Reference

CancelRunBatch

Cancels all runs within a specified batch. This operation prevents not-yet-submitted runs from starting and submits CancelRun requests for runs that have already started.

Cancel is only allowed on batches in PENDING, SUBMITTING, or INPROGRESS state. Cancel operations are non-atomic and may be partially successful. Use GetBatch to review successfulCancelSubmissionCount and failedCancelSubmissionCount in the submissionSummary. Only one cancel or delete operation per batch is allowed at a time.

Request Syntax

POST /runBatch/cancel HTTP/1.1 Content-type: application/json { "batchId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

batchId

The identifier portion of the run batch ARN.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 18.

Pattern: [0-9]+

Required: Yes

Response Syntax

HTTP/1.1 202

Response Elements

If the action is successful, the service sends back an HTTP 202 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request cannot be applied to the target resource in its current state.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred. Try the request again.

HTTP Status Code: 500

RequestTimeoutException

The request timed out.

HTTP Status Code: 408

ResourceNotFoundException

The target resource was not found in the current Region.

HTTP Status Code: 404

ServiceQuotaExceededException

The request exceeds a service quota.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: